/*!	\file
	\brief Deprecated sbi and cbi operations for port bits
*/
/* my assembler definitions of CBI and SBI
	These are deprecated in the WINavr include files
	The compiler will complain if the register address is too big

	MRU JR 100207
	100207 corrected error in clrbit
	091121 added #ifndef _MYPORTBITS_H
*/
#ifndef _MYPORTBITS_H
#define _MYPORTBITS_H
/* For addresses <= 0x1f */
#define sbi(REG,BIT) \
		__asm__ __volatile__ \
		("sbi %0, %1" :: "I" (_SFR_IO_ADDR(REG)), "I" (BIT))


#define cbi(REG,BIT) __asm__ __volatile__ \
("cbi %0, %1" :: "I" (_SFR_IO_ADDR(REG)), "I" (BIT))

/* For addresses >= 0x1f */
#define setbit(REG, BIT) REG |= (1 << BIT)

#define clrbit(REG, BIT) REG &= ~(1 << BIT)

#endif
