/*!	\file
	\brief Program options
	Created JR 111010
	MRU JR 111010

	If there is only one setting for a symbol, use \#define\n
	Example:
	\#define GPS\n
	In source files:\n
	\#ifdef GPS\n
	.... code\n
	\#endif // GPS \n\n
	If there are more than one settings for a symbol use \#define SYMBOL OPTION\n
	Example:\n
	\#define RECEIVER 0L\n
	\#define PGMFUNCTION RECEIVER\n
	In sources:\n
	\#if (PGMFUNCTION == RECEIVER)\n
	...code
	\#endif // PGMFUNCTION == RECEIVER\n
	NO COMMENTS after the value definition, which must be an integer expression
*/
#ifndef _OPTIONS_H
	#define _OPTIONS_H
/*! PGMFUNCTION */
/*! Receive GPS and or LW */
#define RECEIVER		0
/*! Simulate GPS and or LW */
#define SIMULATOR		1
/*! HARDWARE */
/*! Sven's hardware */
#define SVEN_DEFS		0
/*! JR first prototype hardware */
#define JR_DEFS			1
/*!JR ATxmega hardware */
#define XMEGA_DEFS	2
/*! VTIDEVICE */
/*! No VTI */
#define NO_OSD			0
/*! Software VTI */
#define SW_OSD			1
/*! MAX7456 VTI */
#define MAX7456OSD	2
/*! DOGMTYPE values, DOGM161 */
#define DOGM161		0
/*! DOGM162 */
#define DOGM162		1
/*! DOGM163 */
#define DOGM163		2
/*! DOGM81 */
#define DOGM81		3
/*! DOGMINTERFACE values, 8-bit */
#define DOGM8BIT	0
/*! 4-bit */
#define DOGM4BIT	1
/*! What EA calls SPI, but isn't */
#define DOGMSPI		2
/*! DOGMSUPPLY values, 5V supply */
#define DOGM5V		0
/*! 3.3V supply */
#define DOGM33V		1
/*! GPS receiver model, Garmin LVC 18x */
#define GARMINLVC18x 0

#endif /* _OPTIONS_H */